Ovf Manager Get Ovf Import Option

Ovf Manager Get Ovf Import Option
Returns an array of *OvfOptionInfo* object that specifies what options the server support for modifing/relaxing the OVF import process.

Returns an array of OvfOptionInfo object that specifies what options the server support for modifing/relaxing the OVF import process.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/OvfManager/{moId}/ovfImportOption
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case OvfManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

An instance of OvfOptionInfo

[
    {
        "_typeName": "string",
        "option": "string",
        "description": {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    }
]
array of object
Optional

Represents the OVF options the server support for import and export of OVFs


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/OvfManager/{moId}/ovfImportOption